## ncbi-vdb 2.9.0-1+dfsg

=== debian/changelog ===
ncbi-vdb (2.9.0-1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11
  * d/rules: s/DEB_BUILD_OPTIONS/DH_BUILD_MAINT_OPTIONS/

 -- Andreas Tille <tille@debian.org>  Mon, 19 Mar 2018 11:36:13 +0100
