## ncbi-vdb 2.9.1-1+dfsg

=== debian/changelog ===
ncbi-vdb (2.9.1-1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Fixes accidental ABI break in 2.9.1
    Closes: #902566

 -- Andreas Tille <tille@debian.org>  Thu, 28 Jun 2018 05:41:16 +0200

ncbi-vdb (2.9.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Wed, 27 Jun 2018 21:41:56 +0200

ncbi-vdb (2.9.0-1+dfsg-2) unstable; urgency=medium

  * Drop some unneeded d-shlibs overrides available in version 0.82
  * New library package libvdb-sqlite2 / libvdb-sqlite-dev featuring
    the sqlite interface

 -- Andreas Tille <tille@debian.org>  Sun, 01 Apr 2018 14:53:23 +0200
