=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 11~),
-               d-shlibs,
+               d-shlibs (>= 0.82),
                libbz2-dev,
                libxml2-dev,
                libhdf5-dev,
@@ -14,9 +14,9 @@
                libmbedtls-dev,
                zlib1g-dev,
                default-jdk-headless
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ncbi-vdb.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/ncbi-vdb.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/ncbi-vdb
+Vcs-Git: https://salsa.debian.org/med-team/ncbi-vdb.git
 Homepage: https://github.com/ncbi/ncbi-vdb
 
 Package: libncbi-vdb2
@@ -135,3 +135,38 @@
  This library is part of the ncbi-vdb package.
  .
  This is the development package.
+
+Package: libvdb-sqlite2
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: sqlite modul of ncbi-vdb library
+ NGS is a new, domain-specific API for accessing reads, alignments and
+ pileups produced from Next Generation Sequencing. The API itself is
+ independent from any particular back-end implementation, and supports
+ use of multiple back-ends simultaneously. It also provides a library for
+ building new back-end "engines". The engine for accessing SRA data is
+ contained within the sister repository ncbi-vdb.
+ .
+ This library is part of the ncbi-vdb package and provides a sqlite
+ interface.
+
+Package: libvdb-sqlite-dev
+Architecture: any
+Section: libdevel
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libvdb-sqlite2 (= ${binary:Version})
+Description: sqlite modul of ncbi-vdb library (devel)
+ NGS is a new, domain-specific API for accessing reads, alignments and
+ pileups produced from Next Generation Sequencing. The API itself is
+ independent from any particular back-end implementation, and supports
+ use of multiple back-ends simultaneously. It also provides a library for
+ building new back-end "engines". The engine for accessing SRA data is
+ contained within the sister repository ncbi-vdb.
+ .
+ This library is part of the ncbi-vdb package and provides a sqlite
+ interface.
+ .
+ This is the development package.
