=== debian/rules ===
--- 
+++ 
@@ -58,8 +58,6 @@
 		    --multiarch \
 		    --devunversioned \
 		    --exclude-la \
-		    --override s/libmbedcrypto0-dev/libmbedtls-dev/ \
-		    --override s/libmbedtls10-dev/libmbedtls-dev/ \
 		    --override s/libmbedx509-0-dev/libmbedtls-dev/ \
 		    --movedev debian/tmp/usr/$(DEB_SOURCE)/$(OS)/gcc/*/dbg/lib/libncbi-ngs-c++.a usr/lib/$(MULTIARCH) \
 		    --movedev debian/tmp/usr/$(DEB_SOURCE)/$(OS)/gcc/*/dbg/ilib/libkapp.a usr/lib/$(MULTIARCH) \
@@ -79,8 +77,6 @@
 		    --devunversioned \
 		    --exclude-la \
 		    --override s/libhdf5_serial[0-9]*-dev/libhdf5-dev/ \
-		    --override s/libmbedcrypto0-dev/libmbedtls-dev/ \
-		    --override s/libmbedtls10-dev/libmbedtls-dev/ \
 		    --override s/libmbedx509-0-dev/libmbedtls-dev/ \
 		    debian/tmp/usr/$(DEB_SOURCE)/$(OS)/gcc/*/dbg/lib/libkdf5.so
 	d-shlibmove --commit \
@@ -88,6 +84,11 @@
 		    --devunversioned \
 		    --exclude-la \
 		    debian/tmp/usr/$(DEB_SOURCE)/$(OS)/gcc/*/dbg/lib/libncbi-wvdb.so
+	d-shlibmove --commit \
+		    --multiarch \
+		    --devunversioned \
+		    --exclude-la \
+		    debian/tmp/usr/$(DEB_SOURCE)/$(OS)/gcc/*/dbg/lib/libvdb-sqlite.so
 	find debian/lib* -name .gitignore -delete
 	# move schemata from development packages to library packages since these are used in executables
 	mkdir -p $(SCHEMADIR)
@@ -99,3 +100,6 @@
 	    sed -i "s:^include ':&/usr/lib/ncbi-vdb/:" $${schema} ; \
 	    mv $${schema} $(SCHEMADIR)/$${schemadir} ; \
 	done
+
+override_missing:
+	dh_missing --fail-missing
