## ncbi-vdb 2.9.2-1+dfsg

=== debian/changelog ===
ncbi-vdb (2.9.2-1+dfsg-1) unstable; urgency=medium

  * New upstream version

  [ Steve Langasek ]
  * add missing implementation of uint64_msbit for i386
    Closes: #907358

  [ Andreas Tille ]
  * d/rules:
     - DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
     - Considered using
           DEB_LDFLAGS_MAINT_APPEND := -Wl,-z,defs
       which should prevent successful build of a broken library (thanks
       for the hint to Steve Langasek) Unfortunately this uncovers several
       other build failures - volunteers to provide the correct linker
       flags are welcome
     - dh_auto_build --no-parallel
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Tue, 04 Sep 2018 14:14:44 +0200
